#!/usr/bin/env sh

# Incase of pipefail stop the script
set -euo pipefail

# Add contrib, non-free and non-free-firmware to the sources
cat << END_OF_FILE > /etc/apt/sources.list
deb https://deb.debian.org/debian bookworm main contrib non-free non-free-firmware
deb-src https://deb.debian.org/debian bookworm main contrib non-free non-free-firmware

deb https://security.debian.org/debian-security bookworm-security main contrib non-free non-free-firmware
deb-src https://security.debian.org/debian-security bookworm-security main contrib non-free non-free-firmware

deb https://deb.debian.org/debian bookworm-updates main contrib non-free non-free-firmware
deb-src https://deb.debian.org/debian bookworm-updates main contrib non-free non-free-firmware
END_OF_FILE

# Add multi-arch support
dpkg --add-architecture i386

# Update apt sources
apt-get update

# Upgrade upgradeable packages
apt-get upgrade --yes

# Installs packages
apt-get install --yes \
                gnome-core gnome-connections gnome-text-editor gnome-disk-utility gnome-passwordsafe gnome-feeds \
                vim \
                chromium \
                dropbear dropbear-initramfs \
                steam-installer \ 
                wine wine64 protontricks \
                pcsx2 rpcs3 \ 
                openjdk-17-jre \
                flatpak gnome-software-plugin-flatpak \
                git python3 python3-venv \
                qemu-kvm virt-manager \
                nvidia-driver \

# Install Proton-GE
wget -q -O - https://git.adrianux.net/ahoemann/Setup-Scripts/raw/branch/main/proton/proton-ge-setup.sh | bash

# Setup Flatpak repo
flatpak remote-add --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
flatpak install --assumeyes --non-interactive flathub org.telegram.desktop flathub com.usebottles.bottles
